Bug 415661 - at segfaults
at segfaults
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: at (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 08:57 EST by Aurelien Bompard
Modified: 2008-01-28 04:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 04:04:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace output (9.81 KB, text/plain)
2007-12-07 08:57 EST, Aurelien Bompard
no flags Details

  None (edit)
Description Aurelien Bompard 2007-12-07 08:57:00 EST
Description of problem:
The "at" command is broken, and segfaults on call :
$ at
Segmentation fault
$ getenforce 
Disabled

Version-Release number of selected component (if applicable):
at-3.1.10-18.fc8

How reproducible:
always

I'm attaching the output of strace.
Comment 1 Aurelien Bompard 2007-12-07 08:57:00 EST
Created attachment 281211 [details]
Strace output
Comment 2 Marcela Mašláňová 2007-12-07 09:16:19 EST
I'm sorry, that's works for me. 
$ rpm -q at
at-3.1.10-18.fc8

$ getenforce
Enforcing

$ at
Garbled time

Could you please attach back-trace with installed at-debuginfo?
Comment 3 Aurelien Bompard 2007-12-07 10:35:49 EST
I've run at through gdb, and it says:

PAM authentication failure: Authentication failure
You do not have permission to use at.

Program exited with code 01.
(gdb) bt
No stack.

I've looked at my PAM authentication files, and if I comment out the pam_mount
entry in system-auth, at goes back to normal.
No idea why it blocked at only though.

Reassigning to pam_mount, if the maintainer has any idea about that...
Comment 4 Marcela Mašláňová 2007-12-10 04:52:27 EST
I don't think there is problem with pam_mount, but I can CC maintainer. 

In _at_ were incorrectly closed parts with PAM authentication. If you want, you
can test it from here http://mmaslano.fedorapeople.org/at/ Maybe it helps. Could
you attach the part of your log from /var/log/audit/audit.log, which mentioned
unsuccessful _at_ job?

Please don't move bug into modified state, that's for solved bugs.
Comment 5 Aurelien Bompard 2007-12-10 05:53:32 EST
> In _at_ were incorrectly closed parts with PAM authentication. If you want, you
> can test it from here http://mmaslano.fedorapeople.org/at/ Maybe it helps.

It still segfaults with 3.1.10-20

> Could you attach the part of your log from /var/log/audit/audit.log, which 
> mentioned unsuccessful _at_ job?

Nothing about that in /var/log/audit/audit.log, but I can find interesting lines
in /var/log/secure : 

Dec 10 11:51:51 localhost at: pam_unix(atd:session): session opened for user
abompard by (uid=0)
Dec 10 11:51:51 localhost at: pam_mount(pam_mount.c:413) error trying to
retrieve authtok from auth code

Hope this helps.

> Please don't move bug into modified state, that's for solved bugs.

Sorry about that, I didn't know.
Comment 6 Marcela Mašláňová 2007-12-12 05:58:31 EST
Please could you also attach backtrace of at?
Comment 7 Marcela Mašláňová 2008-01-28 04:04:32 EST
I'm closing it. If the problem persist please free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.